Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Interface DOMLocator

    public interface DOMLocator

`DOMLocator` is an interface that describes a location (e.g. where an error occurred).

See also the Document Object Model (DOM) Level 3 Core Specification.

Since:
  DOM Level 3

Method Summary
`int` | `getByteOffset()` The byte offset into the input source this locator is pointing to or `-1` if there is no byte offset available.
`int` | `getColumnNumber()` The column number this locator is pointing to, or `-1` if there is no column number available.
`int` | `getLineNumber()` The line number this locator is pointing to, or `-1` if there is no column number available.
`Node` | `getRelatedNode()` The node this locator is pointing to, or `null` if no node is available.
`String` | `getUri()` The URI this locator is pointing to, or `null` if no URI is available.
`int` | `getUtf16Offset()` The UTF-16, as defined in [Unicode] and Amendment 1 of [ISO/IEC 10646], offset into the input source this locator is pointing to or `-1` if there is no UTF-16 offset available.

Method Detail

### getLineNumber

    int getLineNumber()

  The line number this locator is pointing to, or `-1` if there is no column number available.

### getColumnNumber

    int getColumnNumber()

  The column number this locator is pointing to, or `-1` if there is no column number available.

### getByteOffset

    int getByteOffset()

  The byte offset into the input source this locator is pointing to or `-1` if there is no byte offset available.

### getUtf16Offset

    int getUtf16Offset()

  The UTF-16, as defined in [Unicode] and Amendment 1 of [ISO/IEC 10646], offset into the input source this locator is pointing to or `-1` if there is no UTF-16 offset available.

### getRelatedNode

    Node getRelatedNode()

  The node this locator is pointing to, or `null` if no node is available.

### getUri

    String getUri()

  The URI this locator is pointing to, or `null` if no URI is available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.